package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanTemplateApplicationRelated;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabHaobanTemplateApplicationRelatedMapper {
    int deleteByPrimaryKey(String templateApplicationRelatedId);

    int insert(TabHaobanTemplateApplicationRelated record);

    int insertSelective(TabHaobanTemplateApplicationRelated record);

    TabHaobanTemplateApplicationRelated selectByPrimaryKey(String templateApplicationRelatedId);

    int updateByPrimaryKeySelective(TabHaobanTemplateApplicationRelated record);

    int updateByPrimaryKey(TabHaobanTemplateApplicationRelated record);

    List<TabHaobanTemplateApplicationRelated> listTemplicationApplicationByTemplateId(@Param("applicationTemplateId") String applicationTemplateId);

    TabHaobanTemplateApplicationRelated selectByTemplateIdAndApplicationId(
            @Param("applicationTemplateId") String applicationTemplateId,
            @Param("applicationId") String applicationId);

    List<String> listMenuCodesByTemplateId(@Param("templateId") String templateId);
}